:root {
    --root-padding: 1rem;
    --bg-color: midnightblue;
    --text-color: sandybrown;
    --border-color: sandybrown;
    --key-white: antiquewhite;
}

html {
    font-size: 14px;
}

@media screen and (min-width: 600px) {
    html {
        font-size: 16px;
    }
}

#yagt {
    background-color: var(--bg-color);
    color: var(--text-color);
    font-family: 'JHWebDuo', monospace;
    overflow-y: hidden;
}

#yagt button {
    font-family: 'JHWebDuo', monospace;
    font-size: 1rem;
}

#header {
    padding: var(--root-padding);
    border-bottom: 1px solid var(--border-color);
}

#header h1 {
    font-size: 1rem;
    line-height: 1;
}

.columns {
    padding: 0;
    height: calc(100dvh - 3rem - 1px);
}

.column-left {
    border-right: none;
}

.column-right {
    overflow-y: auto;
}

@media screen and (min-width: 600px) {
    .column-left {
        border-right: 1px solid var(--border-color);
    }
}

.container {
    padding: var(--root-padding);
    flex-direction: column;
}

.input-wrapper {
    position: relative;
    margin-bottom: 1rem;
}

#input {
    width: 100%;
    padding: 0.75rem 1rem;
    background-color: transparent;
    border: 1px solid var(--border-color);
    border-radius: 0;

    color: var(--text-color);
    font-family: 'JHWebDuo', monospace;
    font-size: 1rem;
    line-height: 1.7;

    resize: none;
    outline: none;
    -webkit-appearance: none;
    appearance: none;
}

#char-count {
    position: absolute;
    right: 0.5rem;
    bottom: 0.5rem;
    font-size: 0.75rem;
    opacity: 0.5;
}

#input::placeholder {
    color: var(--text-color);
    opacity: 0.75;
}

.noise-selector, .base-selector, .hold-noise-selector {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-bottom: 1rem;
}

.base-selector {
    margin-bottom: 3rem;
}

.noise-label, .base-label, .hold-noise-label {
    font-size: 1rem;
    min-width: 5rem;
}

.noise-options, .base-options, .hold-noise-options {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 0;
}

.noise-option, .base-option, .hold-noise-option, #generate {
    width: auto;
    padding: 0.5rem 0.75rem;
    appearance: none;
    background-color: transparent;
    border: 1px solid var(--border-color);
    color: var(--text-color);
    cursor: pointer;
    user-select: none;
}

.noise-option:not(:first-child), .base-option:not(:first-child), .hold-noise-option:not(:first-child) {
    border-left: none;
}

.noise-option:hover, .base-option:hover, .hold-noise-option:hover, #generate:hover {
    background-color: var(--text-color);
    color: var(--bg-color);
}

.noise-option.selected, .base-option.selected, .hold-noise-option.selected {
    background-color: var(--text-color);
    color: var(--bg-color);
}

#logs {
    font-size: 1rem;
    line-height: 1.7;
}

.log {
    white-space: pre-wrap;
}

.log::before {
    content: '>';
    margin-right: 1rem;
}

.log.indent {
    padding-left: 1.5rem;
    color: gray;
    opacity: 0.75;
}

.log.indent::before {
    content: '';
    margin-right: 0;
}


.log.phase-result {
    color: var(--key-white);
    opacity: 1;
}

.log.final-result {
    color: limegreen;
    opacity: 1;
}

.log.not-converged-result {
    color: red;
    opacity: 1;
}

.log.error {
    color: red;
    opacity: 1;
}